summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-12-28 23:44:07 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-12-28 23:44:41 +0000
commitd03ae6849d20c0f0629722b8da96d2b413a701d9 (patch)
tree0a135b5980066f1b424fd05b56263780788dabd9 /dev-python/healpy
parentdev-python/astropy: version bump (diff)
downloadgentoo-d03ae6849d20c0f0629722b8da96d2b413a701d9.tar.gz
gentoo-d03ae6849d20c0f0629722b8da96d2b413a701d9.tar.bz2
gentoo-d03ae6849d20c0f0629722b8da96d2b413a701d9.zip
dev-python/healpy: version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python/healpy')
-rw-r--r--dev-python/healpy/Manifest1
-rw-r--r--dev-python/healpy/healpy-1.10.2.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/healpy/Manifest b/dev-python/healpy/Manifest
index d0559cee310..5921cb01534 100644
--- a/dev-python/healpy/Manifest
+++ b/dev-python/healpy/Manifest
@@ -1,2 +1,3 @@
DIST healpy-1.10.1.tar.gz 4017986 SHA256 d81f6a5bdf7c8b6be062ae3be493a91520db4d1830fddf416905c28bc3476e79 SHA512 fb7c3d578992adb98907dca164f22f8b1d201b838cdbd94d5a19fb06fdac2a685c35fe42fb5644bcabe8b9221814ef3f7332cddb617098fd6b589649fb0c9675 WHIRLPOOL d4c58beb7a26aac2850ade240174186bc73cc28e672b64763ad7caef1365c10e90ed8e1e5b664a16872a2604f801e0bed83e75eb6b1b75d71cc7cc8c7820fa3a
+DIST healpy-1.10.2.tar.gz 4018889 SHA256 210fe8a1d3797e6ebb99125054d35d624229602179b119fc3b73586056307e4d SHA512 658dac9f9c3dfa8c6f4050138c81fc3f0c3b813ace797a531ea6fc7785d8a2e59ac07f8873a32682f06fde7097710cb91a8181f90bad82acdb04a20191d0601f WHIRLPOOL 216c336652866e3196cf86e073d29a87168f54b891d6b8382227fb49c961e9a28f8d64b3be980d37a006af989d0aa26c8b66deecd07973c8fcdb3f2b94647b6c
DIST healpy-1.9.1.tar.gz 4043342 SHA256 b88fcd667e0bf474335811018cb97932b5f9d5575f22d2237b6707844a121c23 SHA512 84427e4fdb01ed534a00617ba707a58f4ed21ba0114fcc3f7bd4748cefaad148c9025bfc7a4c77c1de40b7f69dfb53139f2b347e80955f4631609cd50e70cd5a WHIRLPOOL 2c8e5fe751fbfe12b699ff154c6f0472bbd7d758b0e18d249984d51567398e9eeea26ee9d79bb086fd79af4b4c4afa0f1f8c3a6c369acd1a4f91a7f8ebd7081a
diff --git a/dev-python/healpy/healpy-1.10.2.ebuild b/dev-python/healpy/healpy-1.10.2.ebuild
new file mode 100644
index 00000000000..9f11d2313d6
--- /dev/null
+++ b/dev-python/healpy/healpy-1.10.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for healpix"
+HOMEPAGE="https://github.com/healpy"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-astronomy/healpix:=[cxx]
+ sci-libs/cfitsio:="
+DEPEND="${RDEPEND}
+ dev-python/astropy-helpers[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+DOCS=( README.rst CHANGELOG.rst CITATION )
+
+python_test() {
+ echo "backend: Agg" > matplotlibrc || die
+ MPLCONFIGDIR=. esetup.py test || die
+ rm matplotlibrc || die
+}